com.h3c.util.persistence.cassandra

## Interface CfQueryOperations<I extends Serializable,T extends TransportObject<? super T,I>>

- Type Parameters:
    `I` - The Row Key Type
    `T` - The TransportObject object type.

      public interface CfQueryOperations<I extends Serializable,T extends TransportObject<? super T,I>>

  Basic interface definition for Column Family Write and Read operations.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `prepareDelete(T id, DataStoreContext context)` `prepareDelete(T, com.h3c.util.persistence.cassandra.DataStoreContext)` implements the Delete operation for every CF
    `void` | `prepareMutation(T transportable, DataStoreContext context)` `prepareMutation(T, com.h3c.util.persistence.cassandra.DataStoreContext)` mandates the implementation of preparation of Write operation for every Column Family implementing this interface.
    `void` | `prepareTransaction(T transportable, DataStoreContext context)`
    `void` | `prepareUpdate(T oldT, T newT, DataStoreContext context)` `prepareMutation(T, com.h3c.util.persistence.cassandra.DataStoreContext)` mandates the implementation of preparation of Write operation for every Column Family implementing this interface.

- - ### Method Detail

    - #### prepareMutation

          void prepareMutation(T transportable,
                             DataStoreContext context)
                               throws Exception

      `prepareMutation(T, com.h3c.util.persistence.cassandra.DataStoreContext)` mandates the implementation of preparation of Write operation for every Column Family implementing this interface.
      Parameters:
        `transportable` - The input transportable object to work on.
        `context` - The DataStoreContext The results of the operation will be added to the Operation Batch in the EntityManager using this context
      Throws:
        `Exception` - error occurred

    - #### prepareUpdate

          void prepareUpdate(T oldT,
                           T newT,
                           DataStoreContext context)
                             throws Exception

      `prepareMutation(T, com.h3c.util.persistence.cassandra.DataStoreContext)` mandates the implementation of preparation of Write operation for every Column Family implementing this interface.
      Parameters:
        `oldT` - The object as read from database.
        `newT` - The object with latest values.
        `context` - The DataStoreContext The results of the operation will be added to the Operation Batch in the EntityManager using this context
      Throws:
        `Exception` - error occurred

    - #### prepareDelete

          void prepareDelete(T id,
                           DataStoreContext context)
                             throws Exception

      `prepareDelete(T, com.h3c.util.persistence.cassandra.DataStoreContext)` implements the Delete operation for every CF
      Parameters:
        `id` - The input to work on.
        `context` - The DataStoreContext The results of the operation will be added to the Operation Batch in the EntityManager using this context
      Throws:
        `Exception` - error occurred

    - #### prepareTransaction

          void prepareTransaction(T transportable,
                                DataStoreContext context)
                                  throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.